/*
*
*	Extra styles for Summit
*	Depends on
*	core-reset.css
*	core-grid.css
*	core.css
*
*/


#top-nav { 
    font-size:11px; 
    margin:0 auto; 
    line-height: 2em; 
    height: 22px;
}


.top-nav-item { 
    display:inline-block; 
    margin-right: 14px; 
    line-height:2em; 
}

#top-login { 
    display:inline-block; 
    margin-right:15px; 
    float:right;
    padding-left: 7px;
    background-color: rgba(0,0,0,0.3);
}

.top-login-item { 
    display:inline-block; 
    padding:0 8px; 
    line-height:2em; 
}

#top-nav { 
    color: #ffff80; 
    z-index: 5;
    position: relative;
}

.top-nav-item, .top-nav-item:visited { 
    color:#00ffff; 
}

.top-nav-item:hover { 
    text-decoration: underline; 
}

.top-login-item { 
    color:#ffa500; 
}

a:visited.top-login-item, a:link.top-login-item {
    color:#ffff80;
}


.top-login-item:hover { 
    text-decoration: underline; 
}

.alone, .leading, .aggregator {
    border-radius: 8px;
    float: left;
    /*padding: 10px;*/
}

 .alone, .leading, .aggregator /* progressive */ {
     -webkit-border-radius: 4px;
     -moz-border-radius: 4px;
 }
 
table.basic thead th, table.basic thead a {
    font-weight:bold;
}

table.basic thead a , table.basic tfoot a {
    text-decoration:underline;
}

table.basic {
    max-width:542px;
    text-align:left;
    padding:0 8px;
    margin:20px auto;
}

table.basic.wide {
    width:100%;
}

table.basic td, table.basic th {
    padding:4px 8px;
}

table.basic thead { 
    background-color:#aea79f;
}

table.basic tfoot, table.basic tr.subsection {
    background-color:#dfdcd9;
}

table.basic tbody tr {
    border-bottom:1px dotted #cccccc;
}

table.basic thead th {
    color:#ffffff;
}

table.basic tfoot td, table.basic tbody td {
    color:#333333;
}

table.basic thead a {
    color:#ffffff;
}

table.basic tfoot a {
    color:#333333;
}

table.basic tbody a {
    color:#dd4814;
}

.action-links {
	margin-bottom: 20px;
	padding: 20px;
	background-color: #efefef;
		-moz-border-radius: 4px;
		-webkit-border-radius: 4px;
	border-radius: 4px;
}

/* Forms */

/* -  Form Decoration [Django]
--------------------------------------------------------------------------------------------------------
*/

.form-item-label {
    font-size: 0.75em;
    font-weight: bold;
    text-align: left;
    padding-right: 10px;
    text-align: left;
    white-space: nowrap;
}

.form-item-value {
    font-size: 0.75em;
    font-weight: normal;
    text-align: left;
}

.form-item-field {
    background-color: #f0f0f0;
    border: 1px solid #CCCCCC;
    height: 16px;
    margin: 7px 0px 7px 9px;
    padding: 3px;
    width: 180px;
}

.form-item-field:focus {
    background-color: #f7f7f7;
    border: 1px solid #DD4814;
}

/* Form Layout */

form ul.errorlist { 
    line-height: 1em;
    vertical-align: top;
}

form .error, ul.errorlist li {
    width: 300;
    height: 20px;
    padding-left: 30px;
    line-height: 1em;
    list-style: none outside none;
    vertical-align: top;
    padding-top: 4px;
    background-image: url('../images/error.png');
    background-repeat: no-repeat;
}

form .help {
    position: absolute;
    z-index: 10;
    right: 16px;
    width: 20px;
    background-image: url('../images/help.png');
    background-repeat: no-repeat;
}

form .smalltext {
    color: #333333;
}

label {
    display: block;
    margin-bottom: 4px;
    color: #fff;
}

label.inline {
    display: inline-block;
    vertical-align: middle;
}

label.required:before {
    color: #DD4814;
    content: " *";
}

legend {
    width: 100%;
    position: relative;
    padding: 8px;
    margin: 0 -8px;
    font-size: 16px;
    line-height: 1.3;
    border-bottom: 1px dotted #DFDCD9;
    margin-bottom: 9px;
    padding-bottom: 10px;
}

legend span.supporting {
    position: absolute;
    right: 8px;
    color: #ffffff;
}

legend span.supporting:before {
    color: #DD4814;
    content: "* ";
}

fieldset {
    position: relative;
    margin-bottom: 16px;
    padding: 8px;
    background-color: #dfdcd9;
}

input[type="text"], input[type="password"], select, textarea {
    width: 286px;
    height: 20px;
    margin-right: 16px;
    margin-bottom: 8px;
    color: #333333;
    border: 1px solid #ccc1c1;
    background-color: white;
}

textarea, select[multiple="multiple"] {
    min-width: 286px;
    max-width: 286px;
    min-height: 20px;
    height: 100px;
}

input[type="checkbox"], input[type="radio"] {
    margin-top: 0px;
    margin-bottom: 8px;
}

input[type="text"]:focus, input[type="password"]:focus {
    width: 284px;
    height: 18px;
    border: 2px solid #dd4814;
    color: #333333;
}

input[type="text"].small, input[type="password"].small, select.small {
    width: 134px;
}

input[type="text"].small:focus, input[type="password"].small:focus, select.small:focus {
    width: 132px;
}

input[type="submit"]:hover {
    background-color: #577396;
}

input[type="submit"]:active {
    background-color: #E21;
}

form input[type="submit"], .link-cta {
    background: #777;
}

input[type="submit"][disabled="disabled"], input[type="submit"][disabled="disabled"]:hover { 
    background-color:#AEA79F;
    text-shadow: none;
}

select:focus {
    border: 2px solid #dd4814;
    color: #333333;
}

input[type="text"].error, input[type="password"].error, select.error {
    border: 2px solid #dd4814;
    color: #dd4814;
}

form#registration #id_start_utc_0,
form#registration #id_start_utc_1,
form#registration #id_end_utc_0,
form#registration #id_end_utc_1 {
    width: 100px;
    display: inline;
}

form#registration #id_start_utc_1_0,
form#registration #id_start_utc_1_1,
form#registration #id_start_utc_1_2,
form#registration #id_end_utc_1_0,
form#registration #id_end_utc_1_1,
form#registration #id_end_utc_1_2 {
    width: 60px;
    display: inline;
}

#id_sponsorship_costs, #id_sponsorship_needed {
    width: 60px;
}

form#registration label {
    width: 400px;
    text-align: left;
    position: absolute;
}

form#registration input, form#registration select, form#registration textarea,
#id_lastname, #id_firstname {
    clear: right;
    display: block;
    position: relative;
    left: 400px;
}

form#registration input[type="submit"] {
    left: 285px;
}

form#registration input[type="checkbox"], form#registration input[type="radio"] {
    margin-bottom: 15px;
    margin-top: 5px;
}

th, td {
    min-width: 0px;
}

form#registration div.notes {
    text-align: left;
    position: relative;
    left: 10px;
    font-style: italic;
    padding-top: 4px;
}

div.form_section {
    margin-bottom: 20px;
    padding-bottom: 5px;
}
div.form_header {
    font-size: 30px;
    font-weight: bold;
    background-color: #777;
    color: #edd400;
    line-height: 150%;
    padding-left: 5px;
    margin-bottom: 10px;
}

div.help_text {
    margin-left: 20px;
    margin-bottom: 20px;
    margin-right: 40px;
}

body {
    background: #000000;
}

.wrapper {
    overflow: hidden;
    background-color: #191919;
}

.inner-wrapper {
    left: 15px;
    margin-right: 15px;
    background-color: #191919;
    width: 98%;
}

#headshot-registration {
    float: right;
    position: absolute;
    right: 20px;
    top: 150px;
    display: inline;
}

#headshot {
    float: right;
    position: absolute;
    right: 20px;
    top: 25px;
    display: inline;
}

#main-menu li.active a {
    color: #555;
}

a.sub-nav-item-important {
    color: red;
}

#header .header-mountain {
    top: 0px;
}

/* various DebConf15 style fixes */

a:link, a:visited {
  color: #edd400;
  text-decoration: none;
}

a:hover {
  color: #ee2211;
  border-bottom: 1px dotted #ee2211;
}

.name > a:link, .name > a:visited {
  color: #000000;
}

.grid-title > a:link, .grid-title > a:visited { 
  color: #00008B;
}

h1 {
    color: #ee2211;
}

footer {
    background-color: #191919;
    color: #FFF;
}

.list {
    list-style: none;
}

.list-ubuntu li {
    background-image: none;
    padding-left: 10px;
}

.nav-secondary a {
    border-right: 1px solid #999;
}

form fieldset {
    background: none no-repeat scroll -15px -16px #444;
    padding: 15px 40px 15px 40px;
}

.nav-secondary,
.box-padded {
    background: #444;
}

.box-grey,
.box-padded div {
    background: #777;
}

.box-highlight {
    box-shadow: 0 2px 2px 0 #444;
    border: #999 solid 1px;
}
